6.0.0-git
2019-04-25

[#7156] Add timezone information to iCalendar exports
Summary Add timezone information to iCalendar exports
Queue Kronolith
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester web (at) marlboro (dot) edu
Created 2008-08-05 (3915 days ago)
Due
Updated 2012-08-29 (2430 days ago)
Assigned 2008-08-15 (3905 days ago)
Resolved 2011-11-13 (2720 days ago)
Milestone 3.1
Patch No

History
2012-08-29 12:24:46 Git Commit Comment #12 Reply to this comment
Changes have been made in Git (master):

commit 857de3f994ac51a0435074a12322d06675629f2b
Author: Jan Schneider <jan@horde.org>
Date:   Sun Nov 13 21:00:23 2011 +0100

     [jan] Support importing of iCalendar events with non-local 
timezones (Request #7156).

  kronolith/docs/CHANGES  |    2 ++
  kronolith/lib/Event.php |   24 ++++++++++++++++++------
  kronolith/package.xml   |    1 +
  3 files changed, 21 insertions(+), 6 deletions(-)

http://git.horde.org/horde-git/-/commit/857de3f994ac51a0435074a12322d06675629f2b
2012-08-29 12:24:40 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (master):

commit 1127c72d6958ac7c6d0d02cc6199bc669e7c9b6f
Author: Jan Schneider <jan@horde.org>
Date:   Sun Nov 13 20:14:54 2011 +0100

     [jan] Include timezone information when exporting events to 
iCalendar (Request #7156).

  framework/Core/lib/Horde/Core/Factory/Timezone.php |   29 
++++++++++++++++++++
  framework/Core/package.xml                         |    6 +++-
  horde/config/conf.xml                              |   11 +++++++
  kronolith/docs/CHANGES                             |    2 +
  kronolith/lib/Event.php                            |   16 +++++++++-
  kronolith/package.xml                              |    1 +
  6 files changed, 61 insertions(+), 4 deletions(-)

http://git.horde.org/horde-git/-/commit/1127c72d6958ac7c6d0d02cc6199bc669e7c9b6f
2012-08-29 12:24:20 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (master):

commit 6de7090cd0fb08b582e84af6ac5b25994854ba07
Author: Jan Schneider <jan@horde.org>
Date:   Sun Nov 13 05:41:36 2011 +0100

     Add Horde_Timezone package.

     Parses Olson database and generates VTIMEZONE iCalendar 
components. Necessary
     to implement request #7156.

  framework/Timezone/lib/Horde/Timezone.php          |  212 ++++++++
  .../Timezone/lib/Horde/Timezone/Exception.php      |   15 +
  framework/Timezone/lib/Horde/Timezone/Rule.php     |  258 ++++++++++
  framework/Timezone/lib/Horde/Timezone/Zone.php     |  148 ++++++
  framework/Timezone/package.xml                     |  115 +++++
  .../Timezone/test/Horde/Timezone/AllTests.php      |   36 ++
  .../Timezone/test/Horde/Timezone/Autoload.php      |   20 +
  .../Timezone/test/Horde/Timezone/IcalendarTest.php |   37 ++
  .../Timezone/test/Horde/Timezone/fixtures/europe   |  148 ++++++
  .../test/Horde/Timezone/fixtures/europe.ics        |  528 
++++++++++++++++++++
  10 files changed, 1517 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/6de7090cd0fb08b582e84af6ac5b25994854ba07
2011-11-13 20:04:10 Jan Schneider State ⇒ Resolved
Milestone ⇒ 3.1
 
2011-11-12 03:33:21 Jan Schneider Comment #9 Reply to this comment
The issue of the original poster shouldn't exist anymore, now that 
we are able to save events in UTC format in the backend. The times 
are also exported in UTC, and it's up to the calendar client to 
correctly map this to the local timezone in recurring events.
Uh, nevermind, we still need to export in the local timezone *instead* 
of UTC to not have the hour off during DST switches.
2011-11-12 03:31:11 Jan Schneider Comment #8
Assigned to Jan Schneider
Taken from Michael Rubinsky
Taken from Horde DevelopersHorde Developers
Reply to this comment
The issue of the original poster shouldn't exist anymore, now that we 
are able to save events in UTC format in the backend. The times are 
also exported in UTC, and it's up to the calendar client to correctly 
map this to the local timezone in recurring events.
We still need to support importing of different timezones for 
individual events though. This is only possible after I added support 
for that to the backend right now.
2011-11-02 15:18:12 Michael Rubinsky Comment #7 Reply to this comment
Any news about this topic?
Nope...and when there is, it will be posted here :)

2011-11-01 17:02:41 ano (at) nurfuerspam (dot) de Comment #6 Reply to this comment
Any news about this topic?
2011-03-28 12:56:55 Michael Rubinsky Assigned to Horde DevelopersHorde Developers
 
2010-09-03 11:44:03 Michael (dot) Germann (at) jura (dot) uni-halle (dot) de Comment #5 Reply to this comment
The need for specific timezone information being maintained with 
calendar entries should be considered for all sorts of access and 
synchronising. I access my Kronolith calendar from 
Thunderbird/Lightning by Funambol addon over SyncML. As the Kronolith 
server seems to strip off what is supposed to be represented, in ICS, 
by the "TZID" parameter (as in 
"DTSTART;TZID=Europe/Berlin:20100903T120000"), and to convert all time 
information into UTC values, time representation then won't be able to 
reproduce the original time value under daylight saving time 
conditions after synchronising. Any solution to this should merit many 
thanks of Kronolith users in DST timezones.
2010-07-09 16:56:27 Michael Rubinsky Assigned to Michael Rubinsky
 
2009-11-14 18:05:26 dewi (at) brentwood (dot) bc (dot) ca Comment #4 Reply to this comment
I'm recommenting on this bug as I'm seeing more and more queries about 
this type of problem from people trying to use these fabulous open 
source products together. There clearly is some issue when using 
thunderbird as a client to horde fro ics subscription and I thought it 
might be advantageous for the horde coders and mozilla coders to be 
aware of the two bugs tracks I know of to try and converse with 
eachother about where the changes should be made to fix this issue.
Mozilla bug with exqamples is : 
https://bugzilla.mozilla.org/show_bug.cgi?id=520843
the horde bug is : http://bugs.horde.org/ticket/7156
hopefully if the main development team from each project touch base, 
we'll get a reasonable solution. It's just a suggestion that I thought 
might help.
2009-10-18 07:05:31 dewi (at) brentwood (dot) bc (dot) ca Comment #3 Reply to this comment
Has anyone worked on implementing this solution to fix the ics 
calendar problems with using lightning and sunbird clients
2009-03-30 16:11:41 Jan Schneider Taken from Horde DevelopersHorde Developers
Summary ⇒ Add timezone information to iCalendar exports
 
2009-03-30 16:11:07 Jan Schneider Version ⇒ Git master
 
2009-03-30 16:10:47 Jan Schneider Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
 
2008-10-12 23:07:44 elliot (at) marlboro (dot) edu Comment #2 Reply to this comment
I'm doing a bit more investigation into solving this, it looks like 
sending timezone specific times instead of UTC time solves the issue 
in Sunbird at least.

The following shows up at 1pm through the transition



DTSTART;TZID=America/New_York:20081001T130000

DTEND;TZID=America/New_York:20081001T140000



Sunbird additionally adds some information about the timezone to it's 
ics file, though it appears to know enough about my location that if 
horde didn't include the following the events would still be timed 
correctly.



BEGIN:VTIMEZONE

TZID:America/New_York

X-LIC-LOCATION:America/New_York

BEGIN:DAYLIGHT

TZOFFSETFROM:-0500

TZOFFSETTO:-0400

TZNAME:EDT

DTSTART:19700308T020000

RRULE:FREQ=YEARLY;INTERVAL=1;BYDAY=2SU;BYMONTH=3

END:DAYLIGHT

BEGIN:STANDARD

TZOFFSETFROM:-0400

TZOFFSETTO:-0500

TZNAME:EST

DTSTART:19701101T020000

RRULE:FREQ=YEARLY;INTERVAL=1;BYDAY=1SU;BYMONTH=11

END:STANDARD

END:VTIMEZONE






2008-08-15 20:36:26 Jan Schneider Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
 
2008-08-05 13:45:44 web (at) marlboro (dot) edu Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Daylight Savings to Standard Time Transition recurring events in ics subscriptions
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
Recuring events set in kronolith and subscribed to via ics (at least 
in Sunbird) appear 1 hour early starting Nov 4 2008.  I've verified 
that subscriptions from at least one other source and local calendars 
display correctly.

The same calendar, when viewed within the web framework appears correctly.



Steps to Reproduce:

1. Create a recurring event that spans the daylight savings/standard 
time change

2. Subscribe to the containing calendar as an ics subscription in Sunbird

3. Note the time on the recurring event before and after the time change

Saved Queries